LibreOffice: XUrlContainer Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XUrlContainer Interface Referencepublished

Allows to store and retrieve URLs. More...

`import"XUrlContainer.idl";`

Inheritance diagram for XUrlContainer:

## Public Member Functions
void | addUrl ([in] string Url, [in] boolean MakePersistent)
| Add a URL to the container. More...
string | findUrl ([in] string Url)
| Lookup a URL in the container. More...
void | removeUrl ([in] string Url)
| Remove a URL from the container. More...
sequence< string > | getUrls ([in] boolean OnlyPersistent)
| Get all URLs. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows to store and retrieve URLs.

URLs can be stored persistently or until end of OOo session.

Since
  OOo 3.2

## Member Function Documentation

## ◆ addUrl()

void addUrl | ( | [in] string | Url,
|  | [in] boolean | MakePersistent
| ) |  |

Add a URL to the container.

Parameters

  Url | URL to add to the container
  MakePersistent | indicates whether the URL shall be stored persistently or just in memory (until end of OOo session)

## ◆ findUrl()

string findUrl | ( | [in] string | Url | ) |

Lookup a URL in the container.

Parameters

  Url | URL to lookup.

Returns
  Best matched URL or empty string.

## ◆ getUrls()

sequence<string> getUrls | ( | [in] boolean | OnlyPersistent | ) |

Get all URLs.

Parameters

  OnlyPersistent | Only URLs that are stored persistently shall be returned.

Returns
  List of URLs.

## ◆ removeUrl()

void removeUrl | ( | [in] string | Url | ) |

Remove a URL from the container.

Parameters

  Url | URL to remove.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XUrlContainer.idl